package ru.yandex.wmconsole.data.wrappers;

import java.util.List;

import ru.yandex.wmconsole.data.ServiceEnum;
import ru.yandex.wmtools.common.util.XmlDataWrapper;

/**
 * @author ailyin
 */
public class ServicesWrapper extends XmlDataWrapper<List<ServiceEnum>> {//todo use ListWrapper instead?
    public ServicesWrapper(List<ServiceEnum> services) {
        super(services, "services");
    }

    @Override
    protected void doToXml(StringBuilder result) {
        for (ServiceEnum service : data) {
            putTag(result, "service", service.toString());
        }
    }
}
